Loading...
Searching...
No Matches
Dune::SelectionIterator< TS, TG, TL, N > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

A const iterator over an uncached selection. More...

`#include <dune/common/parallel/selection.hh>`

## Public Types

typedef TS | AttributeSet
| The type of the Set of attributes.
typedef Dune::ParallelIndexSet< TG, TL, N > | ParallelIndexSet
| The type of the underlying index set.
typedef ConstArrayListIterator< IndexPair< TG, TL >, N, std::allocator< Dune::IndexPair< TG, TL > > > | ParallelIndexSetIterator

## Public Member Functions

| SelectionIterator (const ParallelIndexSetIterator &iter, const ParallelIndexSetIterator &end)
| Constructor.
void | operator++ ()
uint32_t | operator* () const
bool | operator== (const SelectionIterator< TS, TG, TL, N > &other) const
bool | operator!= (const SelectionIterator< TS, TG, TL, N > &other) const

## Detailed Description

template<typename TS, typename TG, typename TL, int N>
class Dune::SelectionIterator< TS, TG, TL, N >

A const iterator over an uncached selection.

## Member Typedef Documentation

## AttributeSet

template<typename TS, typename TG, typename TL, int N>

typedef TS Dune::SelectionIterator< TS, TG, TL, N >::AttributeSet

The type of the Set of attributes.

It has to provide a static method

bool contains(AttributeType a);
Dune::contains
constexpr std::bool_constant<((II==value)||...)> contains(std::integer_sequence< T, II... >, std::integral_constant< T, value >)
Checks whether or not a given sequence contains a value.
Definition integersequence.hh:137

that returns true if a is in the set. Such types are EnumItem, EnumRange, Combine.

## ParallelIndexSet

template<typename TS, typename TG, typename TL, int N>

typedef Dune::ParallelIndexSet<TG,TL,N> Dune::SelectionIterator< TS, TG, TL, N >::ParallelIndexSet

The type of the underlying index set.

## ParallelIndexSetIterator

template<typename TS, typename TG, typename TL, int N>

typedef ConstArrayListIterator<IndexPair<TG,TL>, N, std::allocator<Dune::IndexPair<TG,TL> > > Dune::SelectionIterator< TS, TG, TL, N >::ParallelIndexSetIterator

## Constructor & Destructor Documentation

## SelectionIterator()

template<typename TS, typename TG, typename TL, int N>

Dune::SelectionIterator< TS, TG, TL, N >::SelectionIterator | ( | const ParallelIndexSetIterator & | iter,
|  | const ParallelIndexSetIterator & | end )

inline

Constructor.

Parameters

  iter | The iterator over the index set.
  end | The iterator over the index set positioned at the end.

## Member Function Documentation

## operator!=()

template<typename TS, typename TG, typename TL, int N>

bool Dune::SelectionIterator< TS, TG, TL, N >::operator!= | ( | const SelectionIterator< TS, TG, TL, N > & | other | ) | const

inline

## operator*()

template<typename TS, typename TG, typename TL, int N>

uint32_t Dune::SelectionIterator< TS, TG, TL, N >::operator* | ( |  | ) | const

inline

## operator++()

template<typename TS, typename TG, typename TL, int N>

void Dune::SelectionIterator< TS, TG, TL, N >::operator++ | ( |  | ) |

inline

## operator==()

template<typename TS, typename TG, typename TL, int N>

bool Dune::SelectionIterator< TS, TG, TL, N >::operator== | ( | const SelectionIterator< TS, TG, TL, N > & | other | ) | const

inline

The documentation for this class was generated from the following file:

- selection.hh